Bug 249383 - games/freedroid: Fix build with -fno-common
Summary: games/freedroid: Fix build with -fno-common
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Alexey Dokuchaev
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-09-17 04:23 UTC by Kevin Zheng
Modified: 2020-12-02 07:06 UTC (History)
1 user (show)

See Also:


Attachments
Patch (1016 bytes, patch)
2020-09-17 04:23 UTC, Kevin Zheng
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kevin Zheng 2020-09-17 04:23:51 UTC
Created attachment 218016 [details]
Patch

games/freedroid: Fix build with -fno-common
Comment 1 Kevin Zheng 2020-11-04 17:40:24 UTC
I've been receiving build failures related to '-fno-common' for some time now. The patch has been here for a while now; I'm hoping this PR hasn't fallen through the cracks.
Comment 2 commit-hook freebsd_committer 2020-12-02 07:00:11 UTC
A commit references this bug:

Author: danfe
Date: Wed Dec  2 06:59:42 UTC 2020
New revision: 556802
URL: https://svnweb.freebsd.org/changeset/ports/556802

Log:
  Unbreak against compilers which default to -fno-common (Clang 11, GCC 10).

  PR:	249383

Changes:
  head/games/freedroid/files/
  head/games/freedroid/files/patch-src_global.h
Comment 3 Alexey Dokuchaev freebsd_committer 2020-12-02 07:06:50 UTC
Committed as ports r556802, sorry it took us so long.